Subject: Re: bug#12489: inconsistent output from 'dd' w/rt stats and suppression.

From: Jim Meyering <[email-masked]>
Date: Mon, 24 Sep 2012 09:05:25 +0200

Pádraig Brady wrote:
> On 09/23/2012 12:12 PM, Pádraig Brady wrote:
>> I think there was general consensus that the status=noinfo should be applied
>> http://lists.gnu.org/archive/html/bug-coreutils/2010-02/msg00159.html
>>
>> I'll look at that this evening.
>
> I changed things a bit in the attached patch.
> I used 'status=none' rather than 'status=noinfo',
> to make it obvious all stderr messages were being suppressed.
> Also, I kept the bitmask nature of the existing code
> to make it more consistent and extendible.

Thanks.  That looks fine.

> Subject: [PATCH] dd: add support for status=none to suppress all info to
>  stderr

"all info to stderr" might be interpreted as including diagnostics.
Maybe something like this instead?
  dd: new option, status=none to suppress output statistics
or
  dd: new option, status=none to suppress all informational output

> * src/dd.c (STATUS_NONE): A new bitmask combining all STATUS_
> options, thus used to suppress all informational output.
> (struct symbol_value statuses): Expose the "none" option,
> corresponding to the STATUS_NONE bitmask above.
> (print_stats): Return early if STATUS_NONE is specified.
> Also move the call to gethrxtime() down so that it's only
> called when needed.
> (usage): Describe the new options.
> * doc/coreutils.texi (dd invocation): Likewise.
> * NEWS: Mention the new feature.
> * tests/dd/misc.sh: Ensure the new option works.